
Summary: Advanced vector graphics editor
Name:	sk1
Version:	0.9.2
Release:	%mkrel 2
License:	GPLv2+ and LGPLv2+
Group:	Graphics
Url:		http://sk1project.org
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/sK1_v.%{version}/%{name}-%{version}.tar.xz
BuildRequires:	tcl
BuildRequires:	tk
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}tcl-devel
BuildRequires: %{_lib}tk-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xext-devel
Requires:	pygtk2.0
Requires:	python-imaging
Requires:	python-imaging-tk
Requires:	tkinter
Requires:	python-reportlab
Requires:	python-cairo

%description
sK1 is an open source vector graphics editor similar to CorelDRAW,
Adobe Illustrator, or Freehand. sK1 is mainly oriented for PostScript
processing. It features CMYK colorspace support, CMYK support in
Postscript, a Cairo-based engine, color managment, universal CDR
importer (7-X3 versions), and a modern Ttk based (former Tile widgets)
user interface.
First of all sK1 is oriented for prepress industry, therefore works
with CMYK colorspace and produces CMYK-based PDF and postscript output.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --root=%{buildroot} --compile --optimize=2

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=sK1
Comment=Vector drawing tool
Exec=%{_bindir}/%{name} %f
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=image/x-sk
Categories=Graphics;VectorGraphics;X-MandrivaLinux-Multimedia-Graphics;
EOF


%files
%{_bindir}
%{_datadir}
/usr/lib/sk1-tk-%version

%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 0.9.2-2uplos2018
- rebuild
